Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.express.mdm
Class MdmHierarchy

    java.lang.Object
      |
      +--oracle.express.mdm.MdmObject
            |
            +--oracle.express.mdm.MdmSource
                  |
                  +--oracle.express.mdm.MdmDimension
                        |
                        +--oracle.express.mdm.MdmHierarchicalDimension
                              |
                              +--oracle.express.mdm.MdmHierarchy

Deprecated. As of Oracle9i, Release 2 (9.2.0.3), replaced by `MdmHierarchy`.

public abstract class MdmHierarchy
extends MdmHierarchicalDimension

Field Summary
`static int` | `LEVEL_HIERARCHY` Deprecated. See `MdmAttribute`.
`static int` | `UNION_HIERARCHY` Deprecated. See `MdmAttribute`.
`static int` | `VALUE_HIERARCHY` Deprecated. See `MdmAttribute`.

Method Summary
`java.lang.Object` | `acceptVisitor(MdmObjectVisitor visitor, java.lang.Object context)` Deprecated. See `MdmAttribute`.
`abstract int` | `getHierarchyType()` Deprecated. See `MdmAttribute`.
`com.sun.java.util.collections.List` | `getMdmTags()` Deprecated. See `MdmAttribute`.
`boolean` | `hasMdmTag(MdmTag tag)` Deprecated. See `MdmAttribute`.

Methods inherited from class oracle.express.mdm.MdmHierarchicalDimension
`getAncestorsRelation, getParentRelation`

Methods inherited from class oracle.express.mdm.MdmDimension
`getAttributes, getDefinition, getMemberType, getPluralDescription, getShortDescription, getShortPluralDescription, getValueFormat`

Methods inherited from class oracle.express.mdm.MdmSource
`getDataType, getSource, getType`

Methods inherited from class oracle.express.mdm.MdmObject
`getDescription, getID, getMetadataProvider, getName, getNewMdmObject, isDeleted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNION_HIERARCHY

    public static final int UNION_HIERARCHY

  Deprecated. See `MdmAttribute`.

### LEVEL_HIERARCHY

    public static final int LEVEL_HIERARCHY

  Deprecated. See `MdmAttribute`.

### VALUE_HIERARCHY

    public static final int VALUE_HIERARCHY

  Deprecated. See `MdmAttribute`.

Method Detail

### getHierarchyType

    public abstract int getHierarchyType()

  Deprecated. See `MdmAttribute`.

### acceptVisitor

    public java.lang.Object acceptVisitor(MdmObjectVisitor visitor,
                                          java.lang.Object context)

  Deprecated. See `MdmAttribute`.
  Overrides:
    acceptVisitor in class MdmObject

### getMdmTags

    public com.sun.java.util.collections.List getMdmTags()

  Deprecated. See `MdmAttribute`.
  Overrides:
    getMdmTags in class MdmObject

### hasMdmTag

    public boolean hasMdmTag(MdmTag tag)

  Deprecated. See `MdmAttribute`.
  Overrides:
    hasMdmTag in class MdmObject

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002, 2005, Oracle. All rights reserved.